Delete a Team
DEL
https://api.vercel.com/v1/teams/{teamId}Delete a team under your account. You need to send a
DELETE request with the desired team id. An optional array of reasons for deletion may also be sent. Enterprise teams can only be deleted in test billing mode and when not linked to an organization.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.teams.deleteTeam({ newDefaultTeamId: "team_LLHUOMOoDlqOp8wPE4kFo9pE", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", requestBody: {}, });
console.log(result);}
run();Response
{ "id": "team_LLHUOMOoDlqOp8wPE4kFo9pE", "newDefaultTeamIdError": "true"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource.
The authenticated user can't access the team
404Error
409Error
410Error
503Error